import { Functional } from '../../../../../../Class/Functional';
import { Done } from '../../../../../../Class/Functional/Done';
import { Fail } from '../../../../../../Class/Functional/Fail';
import { System } from '../../../../../../system';
import { MS } from '../../../../../../types/interface/MS';
export type I = {
    src: string;
};
export type O = {
    stream: MS;
};
export default class AudioSource extends Functional<I, O> {
    private _source;
    constructor(system: System);
    f({ src }: {
        src: any;
    }, done: Done<O>, fail: Fail): Promise<void>;
    d(): void;
}
